Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166496 - Variables pane is empty in debugger
Variables pane is empty in debugger
Status: VERIFIED FIXED
Product: javascript
Classification: Unclassified
Component: -- Other --
6.x
Macintosh All
: P1 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@javascript
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 15:14 UTC by kirkaustin
Modified: 2009-06-11 08:49 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kirkaustin 2009-06-03 15:14:55 UTC
I just downloaded NetBeans 6.7 RC on Monday, and it seems that the variables pane in the JavaScript debugger shows nothing when I set a breakpoint in my 
index.html file that has a few lines of JavaScript in it.  Works fine in NetBeans 6.7 Beta.
Comment 1 Marian Mirilovic 2009-06-04 12:14:32 UTC
Martin, could you please try to reproduce the problem ? Thanks in advance.
Comment 2 Martin Schovanek 2009-06-04 13:31:09 UTC
Reproducible in RC2 build.
Comment 3 Martin Schovanek 2009-06-04 14:04:04 UTC
Reproducible in #200905221401 (pre release_67 branch build) too.
Comment 4 Marian Mirilovic 2009-06-04 14:15:15 UTC
> Reproducible in #200905221401 (pre release_67 branch build) too.

So, it got broken between NB 6.7 Beta(20090424) & Code Freeze (20090522)
Comment 5 John Jullion-ceccarelli 2009-06-04 14:54:38 UTC
martin, could you or someone on the debugger team take a look at this?
Comment 6 Martin Entlicher 2009-06-04 15:45:31 UTC
I see content provided by JSP debugger in Variables window.
Where is actually the JavaScript debugger located? I've found main/web.client.javascript.debugger.ant, which contains
only the start up script.

I tried to follow http://qa.netbeans.org/modules/webapps/promo-h/TS_65_JavaScriptDebugger.html#local_variables_5, but I
can not start debugging of MishMash project. It fails with org.netbeans.modules.java.source.ant.UserCancel.

I do not see JavaScript variables in Variables window. Please point me to the sources of JavaScript debugger if you want
me to look at it. Thanks.
Comment 7 Petr Jiricka 2009-06-04 15:55:54 UTC
JavaScript debugger is in modules web.client.tools.common and web.client.tools.impl, I believe.
Comment 8 David Strupl 2009-06-04 16:12:17 UTC
Javascript debugger is currently a separate cluster webcommon1. In the source tree all the modules web.client.tools.*.
It has 2 native components: one for firefox and one for IE ...
Comment 9 Marian Mirilovic 2009-06-05 10:56:05 UTC
mentlicher, 
have you had a chance to look into sources ?
Comment 10 Martin Entlicher 2009-06-05 13:24:19 UTC
This was a subtle defect in JavaScript debugger. It was uncovered by integration of Variables, Watches and evaluator
result into one window.
JavaScript debugger does not bother to check the requested children count in NbJSVariablesModel, therefore it could work
when getChildrenCount() returned bad value.

The children count is corrected in changeset:   134253:08363a12919e
http://hg.netbeans.org/main/rev/08363a12919e

Do you want to merge this into release67? The fix is extremely safe and can not break it more than it is anyway.
Comment 11 David Strupl 2009-06-05 13:40:37 UTC
As I don't understand the meaning of "isSessionSuspended" I cannot comment on the patch itself.

From my point of view it should go into release67 branch but I would like Marian to have the final word on this.
Comment 12 Martin Entlicher 2009-06-05 13:44:30 UTC
"isSessionSuspended" returns true when debugger is suspended on a breakpoint or after a step. The program execution is
suspended and local variables can be retrieved. It returns false when the program is running.
Comment 13 David Strupl 2009-06-05 13:48:04 UTC
Ok, with that explanation the fix seems logical ;-) Marian, what about release67? It is one line (even one char) fix ...
Comment 14 Marian Mirilovic 2009-06-05 13:48:27 UTC
Ok, thanks for investigation and quick solution ... I think we can integrate that into NB 6.7 (will be part of RC3) ...
we'll follow the HR process, so mschovanek please verify in trunk before integration into NB 6.7.
Keep this issue opened for NB 6.7.
Comment 15 Martin Entlicher 2009-06-05 13:53:01 UTC
O.K. Fine.
Comment 16 Martin Schovanek 2009-06-09 12:21:20 UTC
Verified in web-main continuous build. Please transplant the fix into Nb 6.7 clone.
Comment 17 Martin Entlicher 2009-06-09 13:30:32 UTC
The fix was transplanted into release67 in changeset:   133471:0929427e31cf
http://hg.netbeans.org/release67/rev/0929427e31cf
Comment 18 Martin Schovanek 2009-06-10 11:27:28 UTC
Verified in RC3 by QE.
Comment 19 Quality Engineering 2009-06-11 08:49:37 UTC
Integrated into 'main-golden', will be available in build *200906110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/08363a12919e
User: mentlicher@netbeans.org
Log: #166496 - Children count correction.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo